
       /////////////////////////////////////////////////////
      //                                                 //
     //      AmbienteInterface.java                     //
    //     por Marlon G. Chermont(chermont@lsi.usp.br) //
   //    Criado: 22/09/2001							  //
  //    Ultima Alteracao: 22/11/2001                 //
 //                                                 //
/////////////////////////////////////////////////////


import java.awt.*;


public interface AmbienteInterface
{
	public Point tamanhoAmb();
	public void construindoMundo(int n_abismo,int n_wumpus,int n_paredes,int n_ouros, int n_flechas);
	public boolean buscaPercepcaoWumpus(int x, int y);
	public boolean buscaPercepcaoPit(int x, int y);
	public boolean verificaWallUp(int x, int y);
	public boolean verificaWallLeft(int x, int y);
	public boolean verificaWallDown(int x, int y);
	public boolean verificaWallRight(int x, int y);
	public boolean verificaPerigoWumpus(int x,int y);
	public boolean verificaPerigoAbismo(int x,int y);
	public boolean verificaWumpus(int x,int y);
	public boolean verificaAbismo(int x,int y);
	public boolean verificaInicio(int x,int y);
	public boolean verificaExpose(int x,int y);
	public boolean verificaFlechada(int x,int y);
	public void setPerigoWumpus(int x,int y);
	public void setPerigoAbismo(int x,int y);
	public Point pegaPosicao();
	public int pegaNumFlechas();
	public void morteWumpus(int x, int y);
	public boolean verificaOuro(int x,int y);
	public void pegaPepita();
	public void ocultar(Point p);
	public void exibir(Point p);
	public void move(int d);
	public void voltaPraCasa();
	public void verificaGameOver();
	public boolean verificaGameover();
	public int pegaPontuacao();
	public void decrementaPontuacao();
	public boolean	verificaFlecha();
	public void atiraFlecha();
	public int calculaLimiteSuperior();

	//metodos que retornam a percepcao do agente
	public boolean verificaWumpus();
	public boolean verificaAbismo();
	public boolean verificaWallUp();
	public boolean verificaWallLeft();
	public boolean verificaWallDown();
	public boolean verificaWallRight();
	public boolean verificaOuro();
	public boolean verificaInicio();
}